SLA Policies
GET
/workspaces/{workspaceId}/inbox/sla-policies
List SLA policies
Abfrageparameter
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwort-Payload
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.createdAt
string
erforderlich
results.description
string
erforderlich
results.id
string
erforderlich
results.metrics
object
Untergeordnete Attribute anzeigen
results.metrics.firstReplyTime
array of object
Untergeordnete Attribute anzeigen
results.metrics.firstReplyTime.breachThreshold
integer
erforderlich
The number of minutes until a ticket reaches a breached state for this SLA metric.
results.metrics.firstReplyTime.priority
string
erforderlich
Apply the metric for tickets with this priority
results.metrics.firstReplyTime.warningThreshold
integer
erforderlich
The number of minutes until a ticket reaches a warning state for this SLA metric.
results.metrics.nextReplyTime
array of object
Untergeordnete Attribute anzeigen
results.metrics.nextReplyTime.breachThreshold
integer
erforderlich
The number of minutes until a ticket reaches a breached state for this SLA metric.
results.metrics.nextReplyTime.priority
string
erforderlich
Apply the metric for tickets with this priority
results.metrics.nextReplyTime.warningThreshold
integer
erforderlich
The number of minutes until a ticket reaches a warning state for this SLA metric.
results.name
string
erforderlich
results.timeKeepingMethod
string
erforderlich
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
results.updatedAt
string
erforderlich
results.workspaceId
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/sla-policies
Create SLA policy
Anfrage-Payload
name
string
erforderlich
description
string
erforderlich
timeKeepingMethod
string
erforderlich
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
metrics
object
Untergeordnete Parameter anzeigen
metrics.firstReplyTime
array of object
Untergeordnete Parameter anzeigen
metrics.firstReplyTime.breachThreshold
integer
erforderlich
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
erforderlich
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
erforderlich
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Untergeordnete Parameter anzeigen
metrics.nextReplyTime.breachThreshold
integer
erforderlich
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
erforderlich
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
erforderlich
The number of minutes until a ticket reaches a warning state for this SLA metric.
Antwort-Payload
createdAt
string
erforderlich
description
string
erforderlich
id
string
erforderlich
metrics
object
Untergeordnete Attribute anzeigen
metrics.firstReplyTime
array of object
Untergeordnete Attribute anzeigen
metrics.firstReplyTime.breachThreshold
integer
erforderlich
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
erforderlich
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
erforderlich
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Untergeordnete Attribute anzeigen
metrics.nextReplyTime.breachThreshold
integer
erforderlich
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
erforderlich
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
erforderlich
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
erforderlich
timeKeepingMethod
string
erforderlich
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
erforderlich
workspaceId
string
erforderlich
Codebeispiel
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Get SLA policy
Antwort-Payload
createdAt
string
erforderlich
description
string
erforderlich
id
string
erforderlich
metrics
object
Untergeordnete Attribute anzeigen
metrics.firstReplyTime
array of object
Untergeordnete Attribute anzeigen
metrics.firstReplyTime.breachThreshold
integer
erforderlich
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
erforderlich
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
erforderlich
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Untergeordnete Attribute anzeigen
metrics.nextReplyTime.breachThreshold
integer
erforderlich
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
erforderlich
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
erforderlich
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
erforderlich
timeKeepingMethod
string
erforderlich
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
erforderlich
workspaceId
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Update SLA policy
Anfrage-Payload
name
string
description
string
timeKeepingMethod
string
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
metrics
object
Untergeordnete Parameter anzeigen
metrics.firstReplyTime
array of object
Untergeordnete Parameter anzeigen
metrics.firstReplyTime.breachThreshold
integer
erforderlich
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
erforderlich
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
erforderlich
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Untergeordnete Parameter anzeigen
metrics.nextReplyTime.breachThreshold
integer
erforderlich
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
erforderlich
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
erforderlich
The number of minutes until a ticket reaches a warning state for this SLA metric.
Antwort-Payload
createdAt
string
erforderlich
description
string
erforderlich
id
string
erforderlich
metrics
object
Untergeordnete Attribute anzeigen
metrics.firstReplyTime
array of object
Untergeordnete Attribute anzeigen
metrics.firstReplyTime.breachThreshold
integer
erforderlich
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
erforderlich
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
erforderlich
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Untergeordnete Attribute anzeigen
metrics.nextReplyTime.breachThreshold
integer
erforderlich
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
erforderlich
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
erforderlich
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
erforderlich
timeKeepingMethod
string
erforderlich
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
erforderlich
workspaceId
string
erforderlich
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Delete SLA policy
Codebeispiel
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'